# Uncover Deployment
This files are the necessary files to deploy correctly Opal services

- **docker_hospital-master**: Folder with all the files need it to the deployment
- **docker_hospital-master.zip**: Zip of the docker_hospital-master, normally use it to send to a client

**Inside docker_hospital-master folder**
- docker-compose.yml: Docker-compose file which has configured the services of Opal infrastructure
- .env: File with all the parameters of Opal services. **Need modified by client to change the different passwords**
- .wslconfig: File only to Windows's deployment. It regulates resources used in the services.

**Steps to run Opal services**

"It necessary having docker and docker-compose installed."
1. Go inside docker_hospital-master folder.
2. Modify the **.env** for each client. For secury reasons it obligatory change the passwords.
3. Open a terminal and run the command "docker-compose up -d"
4. When the installation process ends, you can access to the Opal website using: "https://localhost:<OPAL_PORT_HTTPS>". 
 
The value of the port "OPAL_PORT_HTTPS" is inside the .env file.   
